Name: netfilter
Summary: NAT (Firewalling, Packet filtering, etc.) tool for kernels >= 2.3
Version: 0.1.8
Release: 1mdk
Source: %{name}-%{version}.tar.bz2
Group: Applications/Networking
URL: http://netfilter.kernelnotes.org/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr

%description
Starting from kernel 2.3.14, netfilter controls firewalling and packet
filtering.
It replaces ipchains and bpfilter.

*** THIS IS FOR USE WITH DEVELOPMENT KERNELS ONLY. DO NOT TRY TO USE IT
*** WITH 2.2.x KERNELS!!!

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
perl -p -i -e "s/-O -Wall/$RPM_OPT_FLAGS/" Makefile

make -j 2 BINDIR=/usr/bin MANDIR=/usr/man LIBDIR=/usr/lib

%install
make install BINDIR=$RPM_BUILD_ROOT/usr/bin MANDIR=$RPM_BUILD_ROOT/usr/man LIBDIR=$RPM_BUILD_ROOT/usr/lib

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
       -e '/\/etc\//s|^|%config|' \
       -e '/\/config\//s|^|%config|' \
       >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root,0755)

%changelog
* Wed Sep 22 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- initial RPM
